mode = gui
singleton = 1
language = eng

[gui]
	
	title = Update Vectorworks 2009
	minsize = 800, 450
	icon = resources/graphics/vwinstaller.ico
	
	[[splash]]
		image = resources/graphics/splash.png
		fillcolor = 0x000000
		textcolor = 0xffffff
		minsize = 577, 400
	
	[[decoration]]
		imagetop = resources/graphics/billboard_top.png
		imagemiddle = resources/graphics/billboard_middle.png
		imagebottom = resources/graphics/billboard_bottom.png
		fillcolor = 0xffffff
		minsize = 225, 400

[settings]
	build = 115703
	version = 14.0.5
	brandedmajorversion = 2009
	brandedminorversion = SP5
	series = U
	largecontent = yes
	logupload = yes
	instbuild = 117162
	insttag = installer3

[build]
	script = InstallVectorworks.py
	cleanbuild = 1
	cleantarget = 1
	version = 0.1
	resources = resources
	targetname = UpdateVectorworks
	targetdir = \\NNANAS\InstallerAssembly\2009\14.0.5\115703$\NNA\eng\dist\installer1\win32\VW14.0.5(115703)Installers\U
	
	[[win32]]
		mode = windows
		bundle = 1
		icon = resources/graphics/vwinstaller.ico
		ignores = Authorization, email.Generator, email.Iterators, email.Utils, email.base64MIME, hexdump, setuptools, plistlib
	
	
	[[darwin]]
		icon = resources/graphics/vwinstaller.icns

[log]
	version = 1
	verbosity = MAX
	root = root
	
	[[levels]]
		CRITICAL = 10
		STDERR = 19
		ERROR = 20
		WARNING = 30
		STDOUT = 39
		INFO = 40
		DEBUG = 50
	
	[[sanitizers]]
		< = &lt;
		> = &gt;
	
	[[formats]]
		
		[[[default]]]
			fields = level, message
			dateformat = %H:%M:%S
			prefix = ""
			suffix = '''
'''
			formateachline = true
			linebreak = '''
'''
			sanitizers = ,
			
			[[[[default]]]]
				prefix = [
				suffix = ]
				alignment = left
				minwidth = -1
			
			[[[[level]]]]
				minwidth = 8
			
			[[[[message]]]]
				prefix = " "
				suffix = ""
			
			[[[[time]]]]
				prefix = [
				suffix = ""
			
			[[[[msecsuffix]]]]
				data = msecs
				minwidth = 3
				alignment = zeropadded
				prefix = .
				suffix = ]
		
		[[[errors]]]
			fields = time, msecsuffix, createdrelative, level, thread, file, line, function, message
		
		[[[file]]]
			fields = time, msecsuffix, createdrelative, level, thread, file, line, message
			dateformat = %Y%m%d:%H:%M:%S
		
		[[[html]]]
			fields = lvlclass, time, msecsuffix, createdrelative, level, thread, file, line, message
			dateformat = %Y%m%d:%H:%M:%S
			prefix = ""
			suffix = '''</tr>
'''
			formateachline = false
			linebreak = <br/>
			sanitizers = <, >
			
			[[[[default]]]]
				prefix = <td><span>
				suffix = </span></td>
			
			[[[[time]]]]
				prefix = <td><span>
				suffix = ""
			
			[[[[msecsuffix]]]]
				data = msecs
				minwidth = 3
				alignment = zeropadded
				prefix = .
				suffix = </span></td>
			
			[[[[lvlclass]]]]
				data = levelnum
				prefix = <tr class="lvl_
				suffix = '">'
	
	[[colors]]
		CRITICAL = RED, BOLD
		ERROR = RED, NORMAL
		WARNING = YELLOW, NORMAL
		INFO = DEFAULT, NORMAL
		DEBUG = DEFAULT, NORMAL
	
	[[handlers]]
		
		[[[default]]]
			verbosity = >=INFO
			format = default
			type = stream
			stream = stdout
			encoding = utf-8
			emitfieldkey = false
			colored = true
			prefix = ""
			suffix = ""
		
		[[[stderr]]]
			verbosity = >=ERROR
			format = errors
			type = stream
			stream = stderr
		
		[[[stdout]]]
			verbosity = <=WARNING
			type = stream
			stream = stdout
		
		[[[file]]]
			format = file
			type = file
			mode = w
			bom = UTF8
			file = UpdaterLog.txt
			emitfieldkey = true
		
		[[[filehtml]]]
			format = html
			type = html
			mode = w
			file = UpdaterLog.html
			emitfieldkey = true
		
		[[[buffer]]]
			format = file
			type = buffer
			target = file
			size = -1
			trigger = CRITICAL
	
	[[loggers]]
		[[[root]]]
			handlers = buffer,
			masqueradestdout = true
			masqueradestderr = true
			exceptionproxy = true
